<template>
    <vxe-table :data="tableData" :height="450" border>
      <vxe-column type="seq" width="70"></vxe-column>
      <vxe-column field="WorkID" title="WorkID"></vxe-column>
      <vxe-column field="Title" title="标题"></vxe-column>
      <vxe-column field="FlowName" title="流程名称"></vxe-column>
      <vxe-column field="RDT" title="时间"></vxe-column>
      
    </vxe-table>
</template>

<script lang="ts" setup>
  import { ref } from 'vue'
  import { defHttp } from '/@/utils/http/axios';
  const apiUrl = '/workflow/draft';

  interface RowVO {
    WorkID: number
    Title: string
    FK_Flow: string
    FlowName: string
    RDT: Date,
    FlowNote: string,
    AtPara:string,
    FK_Node:string,
    FID:string,
  }

  const tableData = ref<RowVO[]>([])
  async function setList() {
    const res = await defHttp.get({ url: apiUrl});
    if(res.code==200) {
      tableData.value = JSON.parse(res.data);
    }
  }
  setList()
</script>
